ViaHitbox 1.0

Simple plugin to fix hitbox issues of different client versions with ViaVersion.

  1. KennyTV
    Tested Minecraft Versions:
    • 1.8
    Source Code:
    https://github.com/KennyTV/ViaHitbox
    This fix has been implemented into ViaVersion 2.0.0, so just enable 'change-1_9-hitbox' and/or 'change-1_14-hitbox' in your ViaVersion config (also for 1.9-1.13, not just 1.8).

    This very simple and small addon for ViaVersion fixes velocity bugs due to version specific hitboxes.

    As a result of player hitbox changes in the Minecraft versions 1.9 and 1.14, you will run into this problem when using ViaVersion on a server lower than 1.14.

    PvP servers are probably affected the worst: Players will get stuck when being hit whilst standing under a block, resulting in them not receiving any knockback and bugging back again.
    If that's not a problem for you - great, you won't need this plugin! Else, you know where to find the download button

    This plugin offers you the options to
    • A - fix hitboxes for 1.9-1.13 players on 1.8 servers
    • B - fix hitboxes for 1.14+ players on a server lower than 1.14
    Though there is a catch to the second option (which is why it is configurable separately) - 1.14+ players will be able to go under entrances with a hight of 1.5 blocks (as that is the new hight of their hitbox).
    FormallyMyles and SlimeDog like this.

Recent Updates

  1. Plugin now obsolete

Recent Reviews

  1. MAKSHOUW
    MAKSHOUW
    5/5,
    Version: 1.0
    You are just fucking insane dude !
    Nice job everybody want that for patch the mojang break pvp update :D
    1. KennyTV